Сайт | Скачать | Видео | Wiki

Автор Тема: Предложения по обновлению PuppyRus Jeans-1.3.0  (Прочитано 10842 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн melviX

  • Инициатор проекта
  • Администратор
  • Ветеран
  • *****
  • Сообщений: 2050
  • Репутация: +96/-0
    • PuppyRus Linux
Прошу Ваших предложений  по обновлению, желательно с конкретикой и ссылками.
Начало положено, изменения в Changelog Jeans-1.3.0-U.
Free software for free people

Оффлайн DdShurick

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 6311
  • Репутация: +161/-0
  • Старый чайник
Re:Предложения по обновлению PuppyRus Jeans-1.3.0
« Ответ #1 : 06 Апрель 2011, 17:37:17 »
 Заменить grub на grub4dos, чтобы облегчить установку на раздел ntfs.
 Научить Jeans нормально работать с 3G-модемами.
 Обновить CUPS.
Моноблок Lenovo IdeaCentre c200 (Intel Atom D525, Intel GMA 3150)
Netbook Acer 722 c6ckk (AMD C-50 Ontario, Radeon HD 6250)
Nettop Asus Eee Box PC B202 (Intel Atom N270, intel GMA 950)
Nettop Asus Eee Box PC EB1007 (Intel Atom D425, Intel GMA 3150)

Оффлайн quasar84

  • Пользователь
  • **
  • Сообщений: 34
  • Репутация: +0/-0
Re:Предложения по обновлению PuppyRus Jeans-1.3.0
« Ответ #2 : 07 Апрель 2011, 12:51:55 »
Загрузил вчера PuppyRus Jeans-1.3.0U

1. Сильно не хватает обновленной CUPS, принтер Samsung ML1210 не обнаруживается по сравнению с версией CUPS 1.4.х.х и выше. http://www.cups.org/
2. Хочется видеть предустановленным браузер Iron http://www.srware.net/ru/software_srware_iron_download.php
или его аналог, Chromium. А также читалку книг Djvu (версия любая, лишь бы работала  :))

Оффлайн DdShurick

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 6311
  • Репутация: +161/-0
  • Старый чайник
Re:Предложения по обновлению PuppyRus Jeans-1.3.0
« Ответ #3 : 07 Апрель 2011, 13:36:16 »
Хочется видеть предустановленным браузер Iron или его аналог, Chromium.
Придётся вас огорчить. Iron и Chromium на старых ядрах не работают. Пробовал и тот, и другой. Кроме того они сильно "мусорят" в системе.
Моноблок Lenovo IdeaCentre c200 (Intel Atom D525, Intel GMA 3150)
Netbook Acer 722 c6ckk (AMD C-50 Ontario, Radeon HD 6250)
Nettop Asus Eee Box PC B202 (Intel Atom N270, intel GMA 950)
Nettop Asus Eee Box PC EB1007 (Intel Atom D425, Intel GMA 3150)

Оффлайн vl.shevchuk

  • Пользователь
  • **
  • Сообщений: 71
  • Репутация: +3/-0
Re:Предложения по обновлению PuppyRus Jeans-1.3.0
« Ответ #4 : 08 Апрель 2011, 23:11:31 »
Неплохая идея обновить торрент-программу Transmission, старая уж сильно примитивная по функционалу в отличие от новых версий.
Обновить mplayer с кодеками, а то тот, что есть, берет далеко не все файлы .mkv

Оффлайн melviX

  • Инициатор проекта
  • Администратор
  • Ветеран
  • *****
  • Сообщений: 2050
  • Репутация: +96/-0
    • PuppyRus Linux
Re:Предложения по обновлению PuppyRus Jeans-1.3.0
« Ответ #5 : 13 Апрель 2011, 15:56:41 »
Научить Jeans нормально работать с 3G-модемами.
 Обновить CUPS.
Ссылки пожалуйста на рабочие пакеты-модули.
читалку книг Djvu
Есть в виде модуля и пакета. Стоит ли сразу в дистр включать?

обновить торрент-программу Transmission
Удалось прикрутить только из Puppy-4.20-ru всего с одной дополнительной библиотекой. Но она уже точно новее и с расширенным меню и с русским .mo файлом.
Из PuppyRus-2.0 не пошла. Требует 3 новых библиотек, от туда же библиотеки не устраивают из-за более новой версии.
Free software for free people

Оффлайн quasar84

  • Пользователь
  • **
  • Сообщений: 34
  • Репутация: +0/-0
Re:Предложения по обновлению PuppyRus Jeans-1.3.0
« Ответ #6 : 13 Апрель 2011, 19:19:55 »
Цитата: quasar84 от 07 Апреля 2011, 11:51:55
читалку книг Djvu
Есть в виде модуля и пакета. Стоит ли сразу в дистр включать?

Да,  конечно стоит включить в дистр! И в LupuRus 520/Snow Dog тоже.  У меня например на LupuRus 520 читалка http://mirror.yandex.ru/puppyrus/pet/djvu-3.5.17.pet ставится но не запускается, незнаю почему. А в предустановленном виде проблема незнания или "кривых рук" решается сама собой.

Указывайте название программы, либо корректную ссылку.
« Последнее редактирование: 13 Апрель 2011, 19:51:20 от Liss »

Оффлайн melviX

  • Инициатор проекта
  • Администратор
  • Ветеран
  • *****
  • Сообщений: 2050
  • Репутация: +96/-0
    • PuppyRus Linux
Re:Предложения по обновлению PuppyRus Jeans-1.3.0
« Ответ #7 : 14 Апрель 2011, 09:21:02 »
ставится но не запускается, незнаю почему
Это конечно не по теме уже. Но Вы не пробовали поискать читалку для  LupuRus 520  в соответствующем дистрибутиву каталоге:
http://mirror.yandex.ru/puppyrus/puppyrus-510/
То, что скачиваете, для первой ветки делалось, как и весь тот каталог /puppyrus/pet (единственный для пакетов в начале проекта).
Free software for free people

Оффлайн Liss

  • Ветеран
  • *****
  • Сообщений: 631
  • Репутация: +23/-0
Re:Предложения по обновлению PuppyRus Jeans-1.3.0
« Ответ #8 : 18 Сентябрь 2013, 21:20:19 »
Народ, у меня просьба есть, может ли кто взяться запилить новое ядро для джинсы? хотя бы 2.6.38 или 3.0.2. Сам опыта не имею, но есть такая необходимость. Со своей стороны обещаю посильную помощь и тестирование (больше 50 новых ноутов ;) ) Про другие дистры даже не спрашивайте. Надо именно джинс.
Терпение, труд и какая-то мать, все перетрут.

Оффлайн imago31

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 2839
  • Репутация: +41/-0
  • горний арол
Re:Предложения по обновлению PuppyRus Jeans-1.3.0
« Ответ #9 : 18 Сентябрь 2013, 21:45:42 »
где ето столько ноутов?
Врач спасает человека, ветеринар - человечество
 все эксперименты на dual core 2x3.1 GHz/ram-3Gb/gt 440 1gb/WCD 80gb IDE/Samsung 80gb sata/3 флешки с зоопарком линуксов.
  Для работы и игр: Windows 10 снес, поставил 7
  Для души, для скорости и всего остального: Linux(pra, puppy, porteus, ubuntu-подобные)
 
 игровые модули
 программные модули

Оффлайн Pro

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 10015
  • Репутация: +103/-0
Re:Предложения по обновлению PuppyRus Jeans-1.3.0
« Ответ #10 : 18 Сентябрь 2013, 21:54:37 »
Народ, у меня просьба есть, может ли кто взяться запилить новое ядро для джинсы? хотя бы 2.6.38 или 3.0.2. Сам опыта не имею, но есть такая необходимость. Со своей стороны обещаю посильную помощь и тестирование (больше 50 новых ноутов ;) ) Про другие дистры даже не спрашивайте. Надо именно джинс.
ну так давай я что ли. Как бы на то и сижу тут. 2.6.32.55  не устроит? или надо именно на конфиге от барри сделать? можно даже его готовые ядра взять.
Я загружаю новые пакеты сюда: http://file.puppyrus.org/users/ а дальше можно найти самостоятельно.

Оффлайн Liss

  • Ветеран
  • *****
  • Сообщений: 631
  • Репутация: +23/-0
Re:Предложения по обновлению PuppyRus Jeans-1.3.0
« Ответ #11 : 19 Сентябрь 2013, 09:31:00 »
Цитировать
можно даже его готовые ядра взять.

Можно попробовать. Другое дело что придется под них zdrv и видеодрова собирать.

Цитировать
где ето столько ноутов?

"Позитроника - легкий выбор сложной электроники" :)
Терпение, труд и какая-то мать, все перетрут.

Оффлайн Pro

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 10015
  • Репутация: +103/-0
Re:Предложения по обновлению PuppyRus Jeans-1.3.0
« Ответ #12 : 19 Сентябрь 2013, 09:46:58 »
никаких проблем со сборкой драйверов нет, но будут проблемы с обновлением libdrm и intel но к ядру это не относится

озвуч какое направление ядра и какую версию (наш конфиг, от барри или еще какой) тебя устроит и после 26-го я займусь
Я загружаю новые пакеты сюда: http://file.puppyrus.org/users/ а дальше можно найти самостоятельно.

Оффлайн Liss

  • Ветеран
  • *****
  • Сообщений: 631
  • Репутация: +23/-0
Re:Предложения по обновлению PuppyRus Jeans-1.3.0
« Ответ #13 : 19 Сентябрь 2013, 10:42:23 »
Если бы я разницу между ними знал. Вообще нужно шобы джинса нормально работала с современными вафельками и прочим железом. Версия чем новее тем лучше. ЕМНИП наше ядро особо не отличается от ядра Барри которое было в 3.01.

Думаю лучше это все проворачивать на 1.3.0-U2
« Последнее редактирование: 19 Сентябрь 2013, 11:12:08 от Liss »
Терпение, труд и какая-то мать, все перетрут.

Оффлайн Pro

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 10015
  • Репутация: +103/-0
Re:Предложения по обновлению PuppyRus Jeans-1.3.0
« Ответ #14 : 19 Сентябрь 2013, 12:03:36 »
с сильно современным ядром будут проблемы. однозначно.

современные вафельки на старом ядре гарантированно не взлетят, я пробовал раньше уже. Разумный компромисс - взять готовое относительно свежее ядро от Барри и попробовать.
Я загружаю новые пакеты сюда: http://file.puppyrus.org/users/ а дальше можно найти самостоятельно.